<?xml version="1.0" encoding="UTF-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/whole_view"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:splitMotionEvents="false">
    
    <ImageView
         android:src="@android:drawable/divider_horizontal_dark"
         android:layout_width="match_parent"
         android:layout_height="wrap_content"
         android:scaleType="fitXY"/>
    
    <RelativeLayout android:id="@+id/timerViewLayout"
        android:layout_width="match_parent"
        android:layout_height="542dip"
        android:background="@drawable/gradient_bg"
        android:splitMotionEvents="false">

        <!--android:textSize="112dip"-->
        <TextView android:id="@+id/timerView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="300dip"
            android:layout_centerInParent="true"
            style="@android:style/TextAppearance.Large" />
        
        <LinearLayout android:id="@+id/recordfileMessage2Layout"
            android:orientation="horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/timerView"
            android:layout_centerHorizontal="true"
            android:baselineAligned="false"
            android:splitMotionEvents="false">
            
            <ImageView android:id="@+id/currState"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical" />
                
            <TextView android:id="@+id/recordingFileName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical" 
                android:layout_marginLeft="5px"
                style="@android:style/TextAppearance.Medium"/>

        </LinearLayout>

        <LinearLayout android:id="@+id/stateMessage2Layout"
            android:orientation="horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@+id/timerView"
            android:layout_centerHorizontal="true"
            android:baselineAligned="false"
            android:splitMotionEvents="false">
            
            <ImageView android:id="@+id/stateLED"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical" />
                
            <TextView android:id="@+id/stateMessage2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/recording"
                android:layout_gravity="center_vertical" 
                android:layout_marginLeft="5px"
                style="@android:style/TextAppearance.Medium"/>

        </LinearLayout>
    
        <TextView android:id="@+id/stateMessage1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/stateMessage2Layout"
            android:layout_centerHorizontal="true"
            style="@android:style/TextAppearance.Small" />                

        <ProgressBar android:id="@+id/stateProgressBar"
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" 
            android:layout_above="@+id/timerView"
            android:max="100"
            android:progress="0"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            style="?android:attr/progressBarStyleHorizontal" />

    </RelativeLayout>
    
    <ImageView
         android:src="@android:drawable/divider_horizontal_dark"
         android:layout_width="match_parent"
         android:layout_height="wrap_content"
         android:scaleType="fitXY"/>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:splitMotionEvents="false">

            <LinearLayout android:id="@+id/exitButtons"
                android:orientation="horizontal"
                android:gravity="center_vertical"
                android:layout_gravity="center_vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent" 
                android:layout_centerInParent="true" 
                android:splitMotionEvents="false">

                <Button android:id="@+id/discardButton"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:text="@string/discard"
                    android:layout_weight="1"
                    android:textSize="30dip"
                    style="?android:attr/buttonBarButtonStyle"/>

                <Button android:id="@+id/acceptButton"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" 
                    android:text="@string/accept"
                    android:layout_weight="1"
                    android:textSize="30dip"
                    style="?android:attr/buttonBarButtonStyle"
                    android:ellipsize="marquee"
                    android:singleLine="true"/>    

                    
            </LinearLayout>
    
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            
            <com.android.soundrecorder.VUMeter android:id="@+id/uvMeter"
                android:layout_width="400px"
                android:layout_height="160px"
                android:layout_centerInParent="true" />
        </RelativeLayout>

    </FrameLayout>
    
    <ImageView
         android:src="@android:drawable/divider_horizontal_dark"
         android:layout_width="match_parent"
         android:layout_height="wrap_content"
         android:scaleType="fitXY"/>

                    
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="120dip"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:splitMotionEvents="false">

        <LinearLayout
            android:id="@+id/buttonParent"
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:splitMotionEvents="false">

            <ImageButton android:id="@+id/recordButton"
                android:layout_height="match_parent" 
                android:layout_width="wrap_content"
                android:layout_weight="1"
                style="?android:attr/buttonBarButtonStyle"
                android:src="@drawable/record" />
            
            <ImageButton android:id="@+id/pauseRecordingButton"
                android:layout_height="match_parent"
                android:layout_width="wrap_content"
                android:layout_weight="1"
                style="?android:attr/buttonBarButtonStyle"
                android:src="@drawable/pause"/>
    
            <ImageButton android:id="@+id/playButton"
                android:layout_height="match_parent" 
                android:layout_width="wrap_content"
                android:layout_weight="1"
                style="?android:attr/buttonBarButtonStyle"
                android:src="@drawable/play" />
    
            <ImageButton android:id="@+id/stopButton"
                android:layout_height="match_parent"
                android:layout_width="wrap_content" 
                android:layout_weight="1"
                style="?android:attr/buttonBarButtonStyle"
                android:src="@drawable/stop" />

	        <ImageButton android:id="@+id/fileListButton"
                android:layout_height="match_parent" 
                android:layout_width="wrap_content"
                android:layout_weight="1"
                style="?android:attr/buttonBarButtonStyle"
                android:src="@drawable/recording_file_list" />

        </LinearLayout>

    </LinearLayout>
    
</LinearLayout>
